from tkinter import *
import numpy as np
import matplotlib.pyplot as plt
from matplotlib.backends.backend_tkagg import FigureCanvasTkAgg, NavigationToolbar2Tk


def mydraw(event):  # векторная графика
    canvas.create_line([[0, 0], [800, 800]], fill="blue", width=3)
    canvas.create_polygon([300, 20], [340, 150], [500, 200], fill="orange")
    canvas.create_rectangle(150, 250, 220, 320, fill="cyan")
    canvas.create_image(30, 100, image=img)  # отображение картинки


def myplotcode():  # графика
    x = np.linspace(0, 2 * np.pi)
    fig = plt.figure(facecolor='white')
    ax = fig.add_subplot(111)
    ax.plot(x, np.sin(x), '-rh', linewidth=3, markersize=12, markerfacecolor='b', label=r'$\ y=sin(x)$')
    ax.plot(x, -x * np.exp(-x ** 2 / 4), '-go', linewidth=3, markersize=12, markerfacecolor='y',
            label=r'$ y=-x*exp(-x^2)$')
    ax.grid(color='b', alpha=0.5, linestyle='dashed', linewidth=0.5)
    plt.legend(fontsize=12)
    plt.title('Functions graphs')
    plt.xlabel('X-ось абсцисс', {'fontname': 'Times New Roman'})
    plt.ylabel('Ордината', {'fontname': 'Times New Roman'})
    return fig


root = Tk()
root.title('Графики функций')
frm = Frame(root)
fgr = myplotcode()
canvasAgg = FigureCanvasTkAgg(fgr, master=frm)  # составной холст
canvasAgg.draw()
canvas = canvasAgg.get_tk_widget()  # объект стандартного холста
canvas.pack(fill=BOTH, expand=1)
frm.pack(fill=BOTH, expand=1)
# создание объекта img для отображение картинки 
images = "van.gif"
img = PhotoImage(file=images)
canvas.bind('<Configure>', mydraw, '+')
toolbar = NavigationToolbar2Tk(canvasAgg, root)
toolbar.update()
root.mainloop()
